Package org.flowable.task.api.history

# Interface HistoricTaskInstance

All Superinterfaces:
  `HistoricData`, `TaskInfo`

public interface HistoricTaskInstance extends TaskInfo, HistoricData
Represents a historic task instance (waiting, finished or deleted) that is stored permanent for statistics, audit and other business intelligence purposes.

Author:
  Tom Baeyens, Joram Barrez

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCompletedBy()`
  User reference that has completed the task.
  `String`
  `getDeleteReason()`
  The reason why this task was deleted {'completed' | 'deleted' | any other user defined string }.
  `Long`
  `getDurationInMillis()`
  Difference between `getEndTime()` and `getStartTime()` in milliseconds.
  `Date`
  `getEndTime()`
  Time when the task was deleted or completed.
  `Date`
  `getStartTime()`
  Deprecated.
  use `TaskInfo.getCreateTime()` instead
  `Long`
  `getWorkTimeInMillis()`
  Difference between `getEndTime()` and `TaskInfo.getClaimTime()` in milliseconds.

  ### Methods inherited from interface org.flowable.common.engine.api.history.HistoricData

  `getTime`

  ### Methods inherited from interface org.flowable.task.api.TaskInfo

  `getAssignee, getCaseVariables, getCategory, getClaimedBy, getClaimTime, getCreateTime, getDescription, getDueDate, getExecutionId, getFormKey, getId, getIdentityLinks, getInProgressStartDueDate, getInProgressStartedBy, getInProgressStartTime, getName, getOwner, getParentTaskId, getPriority, getProcessDefinitionId, getProcessInstanceId, getProcessVariables, getPropagatedStageInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getState, getSubScopeId, getSuspendedBy, getSuspendedTime, getTaskDefinitionId, getTaskDefinitionKey, getTaskLocalVariables, getTenantId`

- ## Method Details

  - ### getDeleteReason

    String getDeleteReason()
    The reason why this task was deleted {'completed' | 'deleted' | any other user defined string }.

  - ### getStartTime

    @Deprecated Date getStartTime()
    Deprecated.
    use `TaskInfo.getCreateTime()` instead
    Time when the task created.

  - ### getEndTime

    Date getEndTime()
    Time when the task was deleted or completed.

  - ### getCompletedBy

    String getCompletedBy()
    User reference that has completed the task.

  - ### getDurationInMillis

    Long getDurationInMillis()
    Difference between `getEndTime()` and `getStartTime()` in milliseconds.

  - ### getWorkTimeInMillis

    Long getWorkTimeInMillis()
    Difference between `getEndTime()` and `TaskInfo.getClaimTime()` in milliseconds.